diff -Nur irc2.10.3p7/support/config.h.dist irc2.10.3p7+hemp2+DK+B5/support/config.h.dist
--- irc2.10.3p7/support/config.h.dist	Sun May  9 21:20:10 2004
+++ irc2.10.3p7+hemp2+DK+B5/support/config.h.dist	Tue May 11 15:32:18 2004
@@ -118,11 +118,11 @@
  * if 'OPER_x' is undefined so you can't give local operators more rights
  * than global ones.
  */
-#undef	OPER_KILL
+#define	OPER_KILL
 #define	OPER_REHASH
 #undef	OPER_RESTART
-#define	OPER_DIE
-#undef	OPER_REMOTE
+#undef	OPER_DIE
+#define	OPER_REMOTE
 #undef	LOCOP_REHASH
 #undef	LOCOP_RESTART
 #undef	LOCOP_DIE
@@ -138,7 +138,7 @@
  * This should be at *least* 4: 2 listen ports (1 tcp, 1 udp)
  *				1 dns port, 1 client
  */
-#define MAXCONNECTIONS	50
+#define MAXCONNECTIONS	16000
 
 /* MAXIMUM LINKS
  *
@@ -189,39 +189,6 @@
 #endif
 
 /*
- * If you want to use timed klines, set it to frequence in seconds,
- * how often to check if client is to be removed; usually 60 seconds
- * (smallest granularity you can get in K:line anyway).
- *
- * Advised not to use it ;-) --Beeth
- */
-#undef TIMEDKLINES
-
-/* R_LINES:  The conf file now allows the existence of R lines, or
- * restrict lines.  These allow more freedom in the ability to restrict
- * who is to sign on and when.  What the R line does is call an outside
- * program which returns a reply indicating whether to let the person on.
- * Because there is another program involved, Delays and overhead could
- * result. It is for this reason that there is a line in config.h to
- * decide whether it is something you want or need. -Hoppie
- *
- * The default is no R_LINES as most people probably don't need it. --Jto
- */
-#undef	R_LINES
-
-#ifdef	R_LINES
-/* Also, even if you have R lines defined, you might not want them to be 
-   checked everywhere, since it could cost lots of time and delay.  Therefore, 
-   The following two options are also offered:  R_LINES_REHASH rechecks for 
-   R lines after a rehash, and R_LINES_OFTEN, which rechecks it as often
-   as it does K lines.  Note that R_LINES_OFTEN is *very* likely to cause 
-   a resource drain, use at your own risk.  R_LINES_REHASH shouldn't be too
-   bad, assuming the programs are fairly short. */
-#define R_LINES_REHASH
-#define R_LINES_OFTEN
-#endif
-
-/*
  * NOTE: defining CMDLINE_CONFIG and installing ircd SUID or SGID is a MAJOR
  *       security problem - they can use the "-f" option to read any files
  *       that the 'new' access lets them. Note also that defining this is
@@ -271,7 +238,7 @@
  * define this if you want to use crypted passwords for operators in your
  * ircd.conf file. See contrib/mkpasswd/README for more details on this.
  */
-#undef	CRYPT_OPER_PASSWORD
+#define	CRYPT_OPER_PASSWORD
 
 /*
  * If you want to store encrypted passwords in N-lines for server links,
@@ -323,7 +290,7 @@
  * send to the server without processing before disconnecting the client for
  * flooding it.  Values greater than 8000 make no difference to the server.
  */
-#define	CLIENT_FLOOD	1000
+#define	CLIENT_FLOOD	2048
 
 /* Remote query flood protection. */
 #define	CHREPLLEN	8192
@@ -339,6 +306,7 @@
  */
 #undef USE_SERVICES
 
+
 /*
  * Define the following to make the delay for nicks random.
  * Some people believe a bot can exactly time the delay and don't like it,
@@ -361,7 +329,7 @@
  * The library and the include files must have been found by configure,
  * if you have installed the zlib after running configure, run it again.
  */
-#undef ZIP_LINKS
+#define ZIP_LINKS
 
 /*
  * Defining this will add an artificial 2 seconds delay for accepting
@@ -389,6 +357,190 @@
  */
 #define SIXBONE_HACK
 
+/*
+ * Disclaimer: The following part concerns the Cr-patches. By defining this
+ *             you will end up with "no warranty" whatsoever - use at your
+ *             own risk.
+ *             The Cr patch does not compromize the anonymity and does
+ *             not affect users integrity in any way. The new features will
+ *             only provide extra functionality and statistics for local
+ *             IRC operators.
+ */
+#define RESTRICT_USERNAMES
+
+/*
+ * Define this if you want to allow online K-lining (permanent) for
+ * regular and local operators.
+ */
+#undef	OPER_KLINE
+#undef	LOCOP_KLINE
+
+/*
+ * Define this if you want to allow online K-lining to memory only
+ * which is removed after rehashing the configuration file or by
+ * restarting the server.
+ */
+#undef	OPER_TKLINE
+#undef	LOCOP_TKLINE
+
+/*
+ * Define this if you want (t)kline requests to go to syslog
+ * Note that you must also have USE_SYSLOG defined otherwise
+ * it won't work
+ * this is a part of patch f2 by fantomas
+ */
+#undef SYSLOG_KLINE
+
+/*
+ * This will give some extra statistics, such as highest usercount,
+ * connection duration and local client incrementation.
+ *
+ * Note: will also show local/global max in /lusers - jv
+ */
+#define	EXTRA_STATISTICS
+
+/* CrXXe8 related stuff follows. It makes the TKLINE/KLINE servernotice
+ * show the k-linereason too and does two cosmetical corrections to the
+ * "Local increase..." and the RPL_YOUREOPER servernotices. Also it
+ * doesn't suppress iauth statistics for opers using stats t.
+ *
+ * Define this to show and log failed /oper attempts too!
+ * Define LOG_IP for logging [ident@remoteip#remoteport,localip#localport].
+ */
+
+#define FAILED_OPERLOG
+#define LOG_IP
+
+/* Fl4 related stuff follows - so far, the only stuff retained from Fl3c
+ * for Fl4 is the &clients channel ; this is because the TKLINE/KLINE code
+ * from Fl3c is also present in the Cr15 code.
+ */
+
+/* define this to enable an extra local channel '&clients', which only
+ * IRC operators may join. Notification of nick-changes, connects, exits,
+ * and requests for server statistics will be sent to this channel.
+ * Some people regard this as a breach of privacy, hence (unlike Fl3c)
+ * it is turned off by default.
+ * f2 - easy clients merged - jv
+ */
+#undef CLIENTS_CHANNEL
+
+
+
+/*
+ * Define this to see when a channel topic was set and who it was set by.
+ */
+#define TOPICWHOTIME
+
+/*
+ * Define this if you want msgs normally sent to &local moved to &notices
+ * - EXCEPT unauth/rejection/too many connection notices. The reasoning
+ * behind this is if you want to see local information except the annoying
+ * and resource wasting unauths and rejections..
+ */
+#define        LOCAL_REJECTIONS_ONLY
+
+
+/* +jv patch defines follows */
+
+/* New stats - F show FDs and remote&local ports (local oper only)
+ */
+#define STATS_F
+
+/* show signon time of local clients in whois */
+#define WHOIS_SIGNON_TIME
+
+/* no RPL_TRYAGAIN for opers - i think it's right and doesn't add 
+ * privileges for opers, just allows them to administrate net better.
+ */
+#define NO_OPER_TRYAGAIN
+/* If you want to notify users that doing /LIST is bad and they should
+   use ALIS instead, define this. Notice is sent BEFORE any output.
+ */
+ 
+#define LIST_ALIS_NOTE "Usage of /list for listing all channels is deprecated. Please use \"/squery alis help\" instead."
+
+/* If you want to send server IS_SUPPORT upon connect and along with
+   VERSION reply. Also moves redirect numerics from 5 to 10.
+   also define Networkname.
+ */
+#define SEND_ISUPPORT
+#define NETWORKNAME "IRCnet"
+
+/* support for /MAP a'la ircu. */
+#define SERVER_MAP
+
+/* quick info about connected servers */
+#define STATS_QMARK
+
+/* define if you want to set some values - delay accept mode, disable/enable autoconnects */
+#define OPER_SET
+
+/* wait with closing sockets of rejected clients, in seconds  */
+#define DELAY_CLOSE
+#define DELAYCLOSETIME 16
+
+/* Split handling - replaces QPI
+ * works as follows:
+ * PINGs all servers behind the link and waits for PONG.
+ * Note: Currently does not compile when undefined. To disable split
+ * 	 protection set following values to 0.
+ */
+#define SPLIT_HANDLE
+
+/* defines minimum for GLOBAL channels */
+#define SPLIT_SERV  20
+#define SPLIT_USERS 40000
+
+/* Delay binding to listening ports with 'D' in second field until server 
+ * is out of split.
+ * Requires SPLIT_HANDLE defined
+ */
+#define DELAY_ACCEPT
+
+/* I-line flags. Allows to specify aditional flags at the beginning of
+ * name field. 
+ * current meaning:
+ *   <  exempted from k-lines
+ *   +  restrict client if no reverse dns found.
+ */
+#define ILINE_FLAGS
+
+/*
+ * Undefining this enables old portions of code, which are more precise
+ * in local u@h limit checking by comparing user's ip against all other
+ * users on server. Usable only for case when client creates another
+ * connection from same ip, but with changed hostname.
+ * This check won't be needed on pure 2.11 network.
+ * Note: He can connect to other server without any problem.
+ *
+ */
+#define NO_EXTENSIVE_LOCAL_LIMIT_CHECK
+
+/* define file which is used for saving k-lines added by /kline
+ */
+#undef KLINE_FILE IRCDCONF_PATH
+
+/* undef if you don't want to have Denied connection  because of open proxy */
+#undef IAUTH_VERBOSE_REJECTS
+
+/* end of +jv patch */
+
+/* 
+** Servers with many clients and lots of K:lines are having noticable
+** lag after rehash. Define this to lessen the load and check only this
+** number of clients at a time. (All clients will be checked, of course.)
+** Undefine (or define to bigger than MAXCONNECTIONS) to check all clients
+** in one sweep.
+*/
+#define MAXDELAYEDKILLS 200
+
+/*
+** You may want to define this to disable "STATS k" for plain users
+** and redirect them to some WWW page.
+*/
+#define NOSTATSK "Please use http://www.irc.pl/kline instead."
+
 /*   STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP  */
 /*   STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP  */
 /*   STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP  */
@@ -403,18 +555,20 @@
  * server the Operator is connected to (ie lets them deal with local
  * problem users or 'ghost' clients
  */
-#define	LOCAL_KILL_ONLY
+#undef	LOCAL_KILL_ONLY
 #endif
 
 /* Default server port, used by client. */
 #define	PORTNUM	6667
 
 /* Maximum length the queue of pending connections to one port may grow to. */ 
-#define LISTENQUEUE 128
+#define LISTENQUEUE 1024
 
 /* define DEBUGMODE to enable debugging mode.*/
 #undef	DEBUGMODE
 
+/* log ircname to logfile */
+#undef LOG_IRCNAME
 /*
  * Time interval to wait and if no messages have been received, then check for
  * PINGFREQUENCY and CONNECTFREQUENCY 
@@ -484,7 +638,7 @@
 /*
  * Max number of channels a user is allowed to join.
  */
-#define MAXCHANNELSPERUSER  10	/* Recommended value: 10 */
+#define MAXCHANNELSPERUSER  21	/* Recommended value: 10 */
 
 /*
  * USE_IAUTH makes ircd use the iauth program for authentication.
@@ -519,6 +673,7 @@
 /* #undef	NO_IDENT */
 /* #undef	NO_PREFIX */
 
+
 /* ------------------------- END CONFIGURATION SECTION -------------------- */
 #ifndef ENABLE_SUMMON
 #  undef LEAST_IDLE
@@ -586,20 +741,6 @@
 #endif
 
 /*
-** Make sure TIMEDKLINES is defined along with R_LINES_OFTEN
-**
-*/
-#if defined(R_LINES_OFTEN) && !defined(TIMEDKLINES)
-error TIMEDKLINES must be defined for R_LINES_OFTEN to work (are you sure you need them?)
-#endif
-
-#if defined(TIMEDKLINES)
-# if (TIMEDKLINES + 0 < 60)
-#  error TIMEDKLINES must be bigger than 60 seconds
-# endif
-#endif
-
-/*
 ** You should not want to change this. ;)
 */
 #define	NOWRITEALARM	1
@@ -609,4 +750,20 @@
 ** Conformance of the internal resolver to RFC1123.
 */
 #define	RESTRICT_HOSTNAMES	1
+
+#if defined(DELAY_ACCEPT) && !defined(SPLIT_HANDLE)
+error DELAY_ACCEPT requires SPLIT_HANDLE defined.
+#endif
+
+# if (MAXCONNECTIONS <= 200)
+  #define CLCHNO 10
+# else
+  # if (MAXCONNECTIONS <= 1000)
+     #define CLCHNO 50
+  # else
+     #define CLCHNO 100
+  # endif
+# endif
+
+#define CLCHSEC 30
 
diff -Nur irc2.10.3p7/support/iauth.conf irc2.10.3p7+hemp2+DK+B5/support/iauth.conf
--- irc2.10.3p7/support/iauth.conf	Mon Jul  5 00:15:43 1999
+++ irc2.10.3p7+hemp2+DK+B5/support/iauth.conf	Tue May 11 15:25:05 2004
@@ -6,13 +6,27 @@
 
 # If iauth timeouts, then reject user
 notimeout
+
 # This makes the IRC server require that iauth performs the authentication
 # in order for a new user connection to be accepted
 required
 
 # Perform ident lookups
 module rfc931
+	timeout = 16
+# Check and reject hosts in named DNSBL
+#module dnsbl
+#	option = reject,log,list=klines.dnsbl.irc.pl
+#	timeout = 8
+#	reason = See www.irc.pl/proxy-klines
 
 # Check and reject open SOCKS proxies
-#module socks
-#	option = reject,paranoid
+module socks
+	option = reject,paranoid
+	timeout = 16
+#	reason = See www.irc.pl/proxy-socks
+
+module webproxy
+	option = log,reject,ports=3128;8080
+	timeout = 24
+#	reason = See www.irc.pl/proxy-web
diff -Nur irc2.10.3p7/support/tkconf.h.dist irc2.10.3p7+hemp2+DK+B5/support/tkconf.h.dist
--- irc2.10.3p7/support/tkconf.h.dist	Sun Feb 21 01:33:47 1999
+++ irc2.10.3p7+hemp2+DK+B5/support/tkconf.h.dist	Tue May 11 15:25:05 2004
@@ -28,8 +28,8 @@
 #undef TKSERV_DEBUG
 
 /* The name of the ircd config file backup (suffix after CPATH) */
-#define TKSERV_IRCD_CONFIG_BAK 	CPATH".tkserv"
+#define TKSERV_IRCD_CONFIG_BAK 	TKSERV_IRCD_CONF".tkserv"
 
 /* The name of the ircd temp config file (suffix after CPATH) */
-#define TKSERV_IRCD_CONFIG_TMP	CPATH".tmp"
+#define TKSERV_IRCD_CONFIG_TMP	TKSERV_IRCD_CONF".tmp"
 
